RHEL 7:perl(RHSA-2021:0883)

high Nessus プラグイン ID 147832
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのRed Hatホストに1つ以上のセキュリティ更新プログラムがありません。

説明

リモートのRedhat Enterprise Linux 7ホストにインストールされているパッケージは、RHSA-2021: 0883アドバイザリに記載されている複数の脆弱性の影響を受けます。

- perl:正規表現のコンパイラにおけるヒープベースのバッファオーバーフローがDoSを引き起こします(CVE-2020-10543)

- perl:整数オーバーフローによるコンパイルされた正規表現の中間言語状態の破損がDoSを引き起こします(CVE-2020-10878)

- perl:再帰S_study_chunk()呼び出しによるコンパイルされた正規表現の中間言語状態の破損がDoSDoSを引き起こします(CVE-2020-12723)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://cwe.mitre.org/data/definitions/20.html

https://cwe.mitre.org/data/definitions/122.html

https://cwe.mitre.org/data/definitions/185.html

https://cwe.mitre.org/data/definitions/190.html

https://cwe.mitre.org/data/definitions/787.html

https://access.redhat.com/security/cve/CVE-2020-10543

https://access.redhat.com/security/cve/CVE-2020-10878

https://access.redhat.com/security/cve/CVE-2020-12723

https://access.redhat.com/errata/RHSA-2021:0883

https://bugzilla.redhat.com/1837975

https://bugzilla.redhat.com/1837988

https://bugzilla.redhat.com/1838000

プラグインの詳細

深刻度: High

ID: 147832

ファイル名: redhat-RHSA-2021-0883.nasl

バージョン: 1.5

タイプ: local

エージェント: unix

公開日: 2021/3/17

更新日: 2021/4/15

依存関係: ssh_get_info.nasl

リスク情報

CVSS スコアのソース: CVE-2020-10878

VPR

リスクファクター: Medium

スコア: 5.5

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.6

Temporal Score: 7.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:redhat:rhel_aus:7.6, cpe:/o:redhat:rhel_e4s:7.6, cpe:/o:redhat:rhel_eus:7.6, cpe:/o:redhat:rhel_tus:7.6, p-cpe:/a:redhat:enterprise_linux:perl, p-cpe:/a:redhat:enterprise_linux:perl-CPAN, p-cpe:/a:redhat:enterprise_linux:perl-ExtUtils-CBuilder, p-cpe:/a:redhat:enterprise_linux:perl-ExtUtils-Embed, p-cpe:/a:redhat:enterprise_linux:perl-ExtUtils-Install, p-cpe:/a:redhat:enterprise_linux:perl-IO-Zlib, p-cpe:/a:redhat:enterprise_linux:perl-Locale-Maketext-Simple, p-cpe:/a:redhat:enterprise_linux:perl-Module-CoreList, p-cpe:/a:redhat:enterprise_linux:perl-Module-Loaded, p-cpe:/a:redhat:enterprise_linux:perl-Object-Accessor, p-cpe:/a:redhat:enterprise_linux:perl-Package-Constants, p-cpe:/a:redhat:enterprise_linux:perl-Pod-Escapes, p-cpe:/a:redhat:enterprise_linux:perl-Time-Piece, p-cpe:/a:redhat:enterprise_linux:perl-core, p-cpe:/a:redhat:enterprise_linux:perl-devel, p-cpe:/a:redhat:enterprise_linux:perl-libs, p-cpe:/a:redhat:enterprise_linux:perl-macros, p-cpe:/a:redhat:enterprise_linux:perl-tests

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/3/16

脆弱性公開日: 2020/6/5

参照情報

CVE: CVE-2020-10543, CVE-2020-10878, CVE-2020-12723

RHSA: 2021:0883

CWE: 20, 122, 185, 190, 787, 20, 122, 185, 190, 787